/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * EventID.hpp
 *
 *  Created on: 2011/01/24
 *      Author: HARK Development Team
 */

#ifndef EVENTID_HPP_
#define EVENTID_HPP_

namespace NSHarkBinaural
{

class EventID
{
public:
    EventID(int eid = -1) : eid(eid) { }

    bool IsConnected() const {
        return eid >= 0;
    }

    operator int() const {
        return eid;
    }

    bool operator ==(EventID rhs) {
        return this->eid == rhs.eid;
    }

private:
    int eid;
};

}

#endif /* EVENTID_HPP_ */
