/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * InvalidInputException.cpp
 *
 *  Created on: 2010/11/22
 *      Author: HARK Development Team
 */

#include <string>
#include <InvalidInputException.hpp>

using namespace std;

namespace NSHarkBinaural
{

InvalidInputException::InvalidInputException(string msg)
    : msg(msg)
{
}

InvalidInputException::~InvalidInputException()
{
}

void InvalidInputException::print (std::ostream &out)
{
    out << this->msg << endl;
}

}
